Sets the limit for a particular resource

- « Imagick::setResolution

- Imagick::setSamplingFactors »

- PHP Manual
- Imagick
- Sets the limit for a particular resource

# Imagick::setResourceLimit

(PECL imagick 2, PECL imagick 3)

Imagick::setResourceLimit — Sets the limit for a particular resource

### Description

public static Imagick::setResourceLimit(int `$type`, int `$limit`): bool

This method is used to modify the resource limits of the underlying ImageMagick library.

### Parameters

`type`

  Refer to the list of resourcetype constants.

`limit`

  One of the resourcetype constants. The unit depends on the type of the resource being limited.

### Return Values

Returns `true` on success.

### See Also

- Imagick::getResourceLimit() - Returns the specified resource limit